> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /meetup/groups/search

> Search Meetup groups by keyword and location with filters for search radius and category. Returns a paginated list of groups with name, description, member count, rating, location and photo.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/events-tickets.json post /api/meetup/groups/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/meetup/groups/search:
    post:
      tags:
        - /meetup
      summary: /meetup/groups/search
      description: >-
        Search Meetup groups by keyword and location with filters for search
        radius and category. Returns a paginated list of groups with name,
        description, member count, rating, location and photo.


        **Price:** 1 credit
      operationId: __api_meetup_groups_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MeetupGroupsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MeetupGroup'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MeetupGroupsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        count:
          type: integer
          minimum: 1
        distance:
          anyOf:
            - $ref: '#/components/schemas/MeetupDistance'
            - type: 'null'
        category:
          anyOf:
            - $ref: '#/components/schemas/MeetupCategory'
            - type: 'null'
      type: object
      required:
        - count
    MeetupGroup:
      properties:
        '@type':
          type: string
          default: MeetupGroup
        id:
          type: string
        alias:
          type: string
        name:
          type: string
        member_count:
          anyOf:
            - type: integer
            - type: 'null'
        leader_count:
          anyOf:
            - type: integer
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        rating_count:
          anyOf:
            - type: integer
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        lat:
          anyOf:
            - type: number
            - type: 'null'
        lon:
          anyOf:
            - type: number
            - type: 'null'
        timezone:
          anyOf:
            - type: string
            - type: 'null'
        is_private:
          type: boolean
          default: false
        is_new_group:
          anyOf:
            - type: boolean
            - type: 'null'
        join_mode:
          anyOf:
            - type: string
            - type: 'null'
        founded_at:
          anyOf:
            - type: string
            - type: 'null'
        welcome_blurb:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - $ref: '#/components/schemas/MeetupTopic'
            - type: 'null'
        topics:
          items:
            $ref: '#/components/schemas/MeetupTopic'
          type: array
          default: []
        organizer:
          anyOf:
            - $ref: '#/components/schemas/MeetupMember'
            - type: 'null'
        pro_network:
          anyOf:
            - $ref: '#/components/schemas/MeetupProNetwork'
            - type: 'null'
        social_networks:
          items:
            $ref: '#/components/schemas/MeetupSocialNetwork'
          type: array
          default: []
        upcoming_event_count:
          anyOf:
            - type: integer
            - type: 'null'
        past_event_count:
          anyOf:
            - type: integer
            - type: 'null'
        source_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - alias
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    MeetupDistance:
      type: string
      enum:
        - '2'
        - '5'
        - '10'
        - '25'
        - '50'
        - '100'
    MeetupCategory:
      type: string
      enum:
        - art_culture
        - beliefs_religion
        - career_business
        - community_environment
        - dancing
        - science_education
        - games
        - health_wellbeing
        - identity_language
        - music
        - travel_outdoor
        - parents_family
        - pets_animals
        - social_activities
        - sports_fitness
        - technology
        - writing
    MeetupTopic:
      properties:
        '@type':
          type: string
          default: MeetupTopic
        id:
          type: string
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
    MeetupMember:
      properties:
        '@type':
          type: string
          default: MeetupMember
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        is_super_organizer:
          type: boolean
          default: false
      type: object
      required:
        - id
    MeetupProNetwork:
      properties:
        '@type':
          type: string
          default: MeetupProNetwork
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        group_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    MeetupSocialNetwork:
      properties:
        '@type':
          type: string
          default: MeetupSocialNetwork
        service:
          type: string
        url:
          type: string
      type: object
      required:
        - service
        - url
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````